# Tasks - **OpenAPI Version:** `3.1.0` - **API Version:** `1.0.0` ## Operations ### POST task.deleted - **Method:** `POST` - **Path:** `task.deleted` - **Tags:** task #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who deleted the task. - **`object` (required)** `object` — Information about the task - **`task_id` (required)** `string` — The task ID. - **`description`** `string` — The detailed description of the task. - **`due_date`** `string`, format: `date` — The due date of the task in UTC. Format: yyyy-mm-dd. - **`is_public`** `boolean`, default: `false` — Determines the task’s visibility. true: The task is accessible to all members of your organization. false: The task is accessible only to the assigned users and collaborators. - **`priority`** `string`, possible values: `"Low", "Medium", "High", "Highest"`, default: `"Medium"` — The priority level of the task. - **`status`** `string`, possible values: `"To do", "In progress", "Done", "Blocked", "Recommended"`, default: `"To do"` — The current status of the task. - **`title`** `string` — The title of the task. - **`operator` (required)** `string` — The email of the user who deleted the task. - **`operator_id` (required)** `string` — The user ID of the user who deleted the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "task_id": "", "description": "", "title": "", "priority": "Medium", "status": "To do", "is_public": false, "due_date": "2025-09-24", "additionalProperty": "anything" }, "additionalProperty": "anything" }, "additionalProperty": "anything" } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who deleted the task. - **`object` (required)** `object` — Information about the task - **`task_id` (required)** `string` — The task ID. - **`description`** `string` — The detailed description of the task. - **`due_date`** `string`, format: `date` — The due date of the task in UTC. Format: yyyy-mm-dd. - **`is_public`** `boolean`, default: `false` — Determines the task’s visibility. true: The task is accessible to all members of your organization. false: The task is accessible only to the assigned users and collaborators. - **`priority`** `string`, possible values: `"Low", "Medium", "High", "Highest"`, default: `"Medium"` — The priority level of the task. - **`status`** `string`, possible values: `"To do", "In progress", "Done", "Blocked", "Recommended"`, default: `"To do"` — The current status of the task. - **`title`** `string` — The title of the task. - **`operator` (required)** `string` — The email of the user who deleted the task. - **`operator_id` (required)** `string` — The user ID of the user who deleted the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "task_id": "", "description": "", "title": "", "priority": "Medium", "status": "To do", "is_public": false, "due_date": "2025-09-24", "additionalProperty": "anything" }, "additionalProperty": "anything" }, "additionalProperty": "anything" } ``` ### POST task.updated - **Method:** `POST` - **Path:** `task.updated` - **Tags:** task #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the task. - **`operator` (required)** `string` — The email of the user who updated the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who closed the task. It should be null if the user is external to the task's organization. - **`task_id` (required)** `string` — The task ID. - **`field_changes`** `array` — The list of field changes in this update. **Items:** - **`changed_at` (required)** `integer` — The unix timestamp when the field was changed. - **`field_name` (required)** `string`, possible values: `"title", "status", "priority", "is_public", "due_date", "starred", "description"` — The name of the field that was changed. - **`operation_type` (required)** `string`, possible values: `"added", "removed", "updated"` — The operation performed on the field. - **`new_value`** `string` — The new value of the field. - **`old_value`** `string` — The previous value of the field. - **`file_changes`** `array` — The list of file changes in this update. **Items:** - **`changed_at` (required)** `integer` — The unix timestamp when the attachment was changed. - **`file_id` (required)** `string` — The unique identifier of the file. - **`file_name` (required)** `string` — The name of the file. - **`operation_type` (required)** `string`, possible values: `"added", "removed"` — The operation performed on the attachment. - **`download_link_expire_time`** `integer` — The unix timestamp when the download link expires. - **`file_download_link`** `string` — The temporary download link for the file. - **`file_size`** `integer` — The size of the file in bytes. - **`file_type`** `string` — The MIME type of the file. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "task_id": "", "field_changes": [ { "field_name": "title", "old_value": "", "new_value": "", "operation_type": "added", "changed_at": 1 } ], "file_changes": [ { "file_id": "", "file_name": "", "file_type": "", "file_size": 1, "file_download_link": "", "download_link_expire_time": 1, "operation_type": "added", "changed_at": 1 } ] } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the task. - **`operator` (required)** `string` — The email of the user who updated the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who closed the task. It should be null if the user is external to the task's organization. - **`task_id` (required)** `string` — The task ID. - **`field_changes`** `array` — The list of field changes in this update. **Items:** - **`changed_at` (required)** `integer` — The unix timestamp when the field was changed. - **`field_name` (required)** `string`, possible values: `"title", "status", "priority", "is_public", "due_date", "starred", "description"` — The name of the field that was changed. - **`operation_type` (required)** `string`, possible values: `"added", "removed", "updated"` — The operation performed on the field. - **`new_value`** `string` — The new value of the field. - **`old_value`** `string` — The previous value of the field. - **`file_changes`** `array` — The list of file changes in this update. **Items:** - **`changed_at` (required)** `integer` — The unix timestamp when the attachment was changed. - **`file_id` (required)** `string` — The unique identifier of the file. - **`file_name` (required)** `string` — The name of the file. - **`operation_type` (required)** `string`, possible values: `"added", "removed"` — The operation performed on the attachment. - **`download_link_expire_time`** `integer` — The unix timestamp when the download link expires. - **`file_download_link`** `string` — The temporary download link for the file. - **`file_size`** `integer` — The size of the file in bytes. - **`file_type`** `string` — The MIME type of the file. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "task_id": "", "field_changes": [ { "field_name": "title", "old_value": "", "new_value": "", "operation_type": "added", "changed_at": 1 } ], "file_changes": [ { "file_id": "", "file_name": "", "file_type": "", "file_size": 1, "file_download_link": "", "download_link_expire_time": 1, "operation_type": "added", "changed_at": 1 } ] } } ``` ### POST task.comment\_updated - **Method:** `POST` - **Path:** `task.comment_updated` - **Tags:** task #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the comment with a task. - **`object` (required)** `object` — Information about the task. - **`comment` (required)** `object` — The comments that had been added, removed, or updated. - **`comment_id` (required)** `string` — The task comment ID. - **`content_text` (required)** `string` — The task comment content. - **`task_id` (required)** `string` — The task ID. - **`operation_type` (required)** `integer`, possible values: `0, 1, 2` — Operation type. \*0 - REMOVE \*1 - ADD \*2 - UPDATED - **`operator` (required)** `string` — The email of the user who updated the comment with a task. - **`operator_id` (required)** `string` — The user ID of the user who updated the comment with a task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "operation_type": 0, "object": { "task_id": "", "comment": { "content_text": "", "comment_id": "" } } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the comment with a task. - **`object` (required)** `object` — Information about the task. - **`comment` (required)** `object` — The comments that had been added, removed, or updated. - **`comment_id` (required)** `string` — The task comment ID. - **`content_text` (required)** `string` — The task comment content. - **`task_id` (required)** `string` — The task ID. - **`operation_type` (required)** `integer`, possible values: `0, 1, 2` — Operation type. \*0 - REMOVE \*1 - ADD \*2 - UPDATED - **`operator` (required)** `string` — The email of the user who updated the comment with a task. - **`operator_id` (required)** `string` — The user ID of the user who updated the comment with a task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "operation_type": 0, "object": { "task_id": "", "comment": { "content_text": "", "comment_id": "" } } } } ``` ### POST task.completed - **Method:** `POST` - **Path:** `task.completed` - **Tags:** task #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who completed the task. - **`object` (required)** `object` — Information about the task. - **`status` (required)** `string`, possible values: `"To do", "In progress", "Done", "Blocked", "Recommended"`, default: `"To do"` — The current status of the task. - **`task_id` (required)** `string` — The task ID. - **`operator` (required)** `string` — The email of the user who completed the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who completed the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "task_id": "", "status": "To do" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who completed the task. - **`object` (required)** `object` — Information about the task. - **`status` (required)** `string`, possible values: `"To do", "In progress", "Done", "Blocked", "Recommended"`, default: `"To do"` — The current status of the task. - **`task_id` (required)** `string` — The task ID. - **`operator` (required)** `string` — The email of the user who completed the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who completed the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "task_id": "", "status": "To do" } } } ``` ### POST task.collaborator\_updated - **Method:** `POST` - **Path:** `task.collaborator_updated` - **Tags:** task #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the collaborators of the task. - **`object` (required)** `object` — Information about the task. - **`collaborators` (required)** `array` — Collaborators that has been added or removed. **Items:** **Any of:** - **`display_name` (required)** `string` — The display name of the collaborator. - **`user_id` (required)** `string` — The Zoom user ID of the collaborator. - **`avatar`** `string`, format: `uri` — The avatar image URL of the collaborator. - **`email`** `string`, format: `email` — The email address of the collaborator. - **`task_id` (required)** `string` — The task ID. - **`operation_type` (required)** `integer`, possible values: `0, 1` — Operation type. Enum: \*0 - REMOVE \*1 - ADD - **`operator` (required)** `string` — The email of the user who updated the collaborators of the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who updated the collaborators of the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "operation_type": 0, "object": { "task_id": "", "collaborators": [ { "user_id": "", "display_name": "", "email": "", "avatar": "" } ] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated the collaborators of the task. - **`object` (required)** `object` — Information about the task. - **`collaborators` (required)** `array` — Collaborators that has been added or removed. **Items:** **Any of:** - **`display_name` (required)** `string` — The display name of the collaborator. - **`user_id` (required)** `string` — The Zoom user ID of the collaborator. - **`avatar`** `string`, format: `uri` — The avatar image URL of the collaborator. - **`email`** `string`, format: `email` — The email address of the collaborator. - **`task_id` (required)** `string` — The task ID. - **`operation_type` (required)** `integer`, possible values: `0, 1` — Operation type. Enum: \*0 - REMOVE \*1 - ADD - **`operator` (required)** `string` — The email of the user who updated the collaborators of the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who updated the collaborators of the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "operation_type": 0, "object": { "task_id": "", "collaborators": [ { "user_id": "", "display_name": "", "email": "", "avatar": "" } ] } } } ``` ### POST task.created - **Method:** `POST` - **Path:** `task.created` - **Tags:** task #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who created the task. - **`object` (required)** `object` — Information about the task. - **`create_time` (required)** `string`, format: `date-time` — The creation date-time in UTC/GMT. - **`is_public` (required)** `boolean`, default: `false` — The task's visibility. - true - The task is accessible to all members of your organization. - false - The task is accessible only to the assigned users and collaborators. - **`priority` (required)** `string`, possible values: `"Low", "Medium", "High", "Highest"`, default: `"Medium"` — The task's priority level. - **`source_type` (required)** `string`, possible values: `"user", "aic_meeting_summary", "whiteboard", "notes", "docs", "phone", "chat", "email", "meeting", "aic"` — Type of the source that created the task. - **`starred` (required)** `boolean` — Indicates whether the task is marked as starred. - **`status` (required)** `string`, possible values: `"To do", "In progress", "Done", "Blocked", "Recommended"`, default: `"To do"` — The task's current status. - **`task_id` (required)** `string` — The task ID. - **`title` (required)** `string` — The task's title. - **`assignees`** `array` — A list of assignees to add to the task. **Items:** - **`email` (required)** `string`, format: `email` — The assignee's email address. - **`user_id` (required)** `string` — The assignee's Zoom user ID. - **`collaborators`** `array` — A list of collaborators to invite to the task. Maximum user count is 20. **Items:** - **`email` (required)** `string`, format: `email` — The collaborator's email address. - **`user_id` (required)** `string` — The collaborator's user to invite. The invited user must belong to the same account as the requesting user. - **`description`** `string` — The task's detailed description. - **`due_date`** `string`, format: `date` — The task's due date in UTC, formatted as yyyy-MM-dd. - **`friendly_task_id`** `string` — The task's human-readable identifier. - **`link`** `string` — The direct URL link to the task. - **`operator` (required)** `string` — The email of the user who created the task. - **`operator_id` (required)** `string` — The user ID of the user who created the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "task_id": "", "description": "", "title": "", "priority": "Medium", "status": "To do", "is_public": false, "due_date": "2025-09-24", "source_type": "user", "starred": true, "collaborators": [ { "user_id": "", "email": "" } ], "create_time": "2025-03-25T07:29:29Z", "friendly_task_id": "Task-1", "link": "https://tasks.example.com/ws53iQgOOkOdzVTxZaVoRA/TASK-1", "assignees": [ { "user_id": "", "email": "" } ] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who created the task. - **`object` (required)** `object` — Information about the task. - **`create_time` (required)** `string`, format: `date-time` — The creation date-time in UTC/GMT. - **`is_public` (required)** `boolean`, default: `false` — The task's visibility. - true - The task is accessible to all members of your organization. - false - The task is accessible only to the assigned users and collaborators. - **`priority` (required)** `string`, possible values: `"Low", "Medium", "High", "Highest"`, default: `"Medium"` — The task's priority level. - **`source_type` (required)** `string`, possible values: `"user", "aic_meeting_summary", "whiteboard", "notes", "docs", "phone", "chat", "email", "meeting", "aic"` — Type of the source that created the task. - **`starred` (required)** `boolean` — Indicates whether the task is marked as starred. - **`status` (required)** `string`, possible values: `"To do", "In progress", "Done", "Blocked", "Recommended"`, default: `"To do"` — The task's current status. - **`task_id` (required)** `string` — The task ID. - **`title` (required)** `string` — The task's title. - **`assignees`** `array` — A list of assignees to add to the task. **Items:** - **`email` (required)** `string`, format: `email` — The assignee's email address. - **`user_id` (required)** `string` — The assignee's Zoom user ID. - **`collaborators`** `array` — A list of collaborators to invite to the task. Maximum user count is 20. **Items:** - **`email` (required)** `string`, format: `email` — The collaborator's email address. - **`user_id` (required)** `string` — The collaborator's user to invite. The invited user must belong to the same account as the requesting user. - **`description`** `string` — The task's detailed description. - **`due_date`** `string`, format: `date` — The task's due date in UTC, formatted as yyyy-MM-dd. - **`friendly_task_id`** `string` — The task's human-readable identifier. - **`link`** `string` — The direct URL link to the task. - **`operator` (required)** `string` — The email of the user who created the task. - **`operator_id` (required)** `string` — The user ID of the user who created the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "task_id": "", "description": "", "title": "", "priority": "Medium", "status": "To do", "is_public": false, "due_date": "2025-09-24", "source_type": "user", "starred": true, "collaborators": [ { "user_id": "", "email": "" } ], "create_time": "2025-03-25T07:29:29Z", "friendly_task_id": "Task-1", "link": "https://tasks.example.com/ws53iQgOOkOdzVTxZaVoRA/TASK-1", "assignees": [ { "user_id": "", "email": "" } ] } } } ``` ### POST task.assignee\_updated - **Method:** `POST` - **Path:** `task.assignee_updated` - **Tags:** task #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated assignee to the task - **`object` (required)** `object` — Information about the task. - **`assignees` (required)** `array` — Assignees that has been added or removed **Items:** **Any of:** - **`display_name` (required)** `string` — The display name of the collaborator. - **`user_id` (required)** `string` — The Zoom user ID of the collaborator. - **`avatar`** `string`, format: `uri` — The avatar image URL of the collaborator. - **`email`** `string`, format: `email` — The email address of the collaborator. - **`task_id` (required)** `string` — The task ID. - **`operation_type` (required)** `integer`, possible values: `0, 1` — Operation type. Enum: \*0 - REMOVE \*1 - ADD - **`operator` (required)** `string` — The email of the user who updated assignee to the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who updated assignee to the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "operation_type": 0, "object": { "task_id": "", "assignees": [ { "user_id": "", "display_name": "", "email": "", "avatar": "" } ] } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who updated assignee to the task - **`object` (required)** `object` — Information about the task. - **`assignees` (required)** `array` — Assignees that has been added or removed **Items:** **Any of:** - **`display_name` (required)** `string` — The display name of the collaborator. - **`user_id` (required)** `string` — The Zoom user ID of the collaborator. - **`avatar`** `string`, format: `uri` — The avatar image URL of the collaborator. - **`email`** `string`, format: `email` — The email address of the collaborator. - **`task_id` (required)** `string` — The task ID. - **`operation_type` (required)** `integer`, possible values: `0, 1` — Operation type. Enum: \*0 - REMOVE \*1 - ADD - **`operator` (required)** `string` — The email of the user who updated assignee to the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who updated assignee to the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "operation_type": 0, "object": { "task_id": "", "assignees": [ { "user_id": "", "display_name": "", "email": "", "avatar": "" } ] } } } ``` ### POST task.reopened - **Method:** `POST` - **Path:** `task.reopened` - **Tags:** task #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who opened the task. - **`object` (required)** `object` — Information about the task. - **`task_id` (required)** `string` — The task ID. - **`operator` (required)** `string` — The email of the user who opened the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who opened the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "task_id": "" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp of when the event occurred. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user who opened the task. - **`object` (required)** `object` — Information about the task. - **`task_id` (required)** `string` — The task ID. - **`operator` (required)** `string` — The email of the user who opened the task. - **`operator_id` (required)** `string` — The Zoom user ID of the operator who opened the task. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "operator_id": "", "object": { "task_id": "" } } } ```